#!/bin/sh
source /etc/conf.d/vdr
source /etc/profile
#set -x

sed -i /etc/freevo/local_conf.py -e "s/SKIN_XML_FILE.*/SKIN_XML_FILE = '$FREEVO_SKIN'/" 
sed -i /etc/freevo/local_conf.py -e "s/.*OSD_OVERSCAN_X.*/OSD_OVERSCAN_X = $FREEVO_OSDX/"
sed -i /etc/freevo/local_conf.py -e "s/.*OSD_OVERSCAN_Y.*/OSD_OVERSCAN_Y = $FREEVO_OSDY/"
sed -i /etc/freevo/local_conf.py -e "s/.*IMAGEVIEWER_DURATION.*/IMAGEVIEWER_DURATION = $FREEVO_IMAGEDURATION/"
sed -i /etc/freevo/local_conf.py -e "s/^DEFAULT_VOLUME.*/DEFAULT_VOLUME = $ACT_MASTERVOL/"

FXP="/usr/lib/python2.4/site-packages/freevo/video/plugins/xine.py"
if [ "$FREEVO_DVD" = "Xine" ] ; then
   sed -i $FXP -e "s/return 0 # g2v_xine/return 2 # g2v_xine/"
else
   sed -i $FXP -e "s/return 2 # g2v_xine/return 0 # g2v_xine/"
fi   
#plugin.remove('rom_drives.autostart')
if [ "$DISC_AUTORUN" = "1" ] ; then
   sed -i /etc/freevo/local_conf.py -e "s/.*'rom_drives.autostart'.*/#plugin.remove('rom_drives.autostart')/"
else
   sed -i /etc/freevo/local_conf.py -e "s/.*'rom_drives.autostart'.*/plugin.remove('rom_drives.autostart')/"
fi   
if [ "$SCREEN_RESOLUTION" != "" -a "$SCREEN_RESOLUTION" != "Other" ] ; then
   sed -i /etc/freevo/freevo.conf -e "s/geometry .*/geometry = $SCREEN_RESOLUTION/"
fi   

# Starting freevo
/usr/bin/freevo -fs
/etc/init.d/gui stop
